%global momorel 4
%global emacsver 23.1
%global xemacsver 21.5.29
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: Subversion Interface for Emacsen
Name: elisp-psvn
Version: 0.37869
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
Source: http://www.xsteve.at/prg/emacs/psvn.el
URL: http://www.xsteve.at/prg/emacs/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%package -n psvn-emacs
Group: Applications/Editors
Summary: Subversion Interface for Emacs
Requires: emacs >= %{emacsver}

%description -n psvn-emacs
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%package -n psvn-xemacs
Group: Applications/Editors
Summary: Subversion Interface for XEmacs
Requires: xemacs >= %{xemacsver}

%description -n psvn-xemacs
This mode provides an interface to svn - similar to pcl-cvs and CVS.

%prep

%setup -q -c -T 0
cp -p %{SOURCE0} .

%build
emacs -q -no-site-file -batch -f batch-byte-compile psvn.el
mv psvn.elc psvn.elc.emacs
xemacs -q -no-site-file -batch -f batch-byte-compile psvn.el
mv psvn.elc psvn.elc.xemacs

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
mkdir -p %{buildroot}%{e_sitedir}
install -m 644 psvn.el %{buildroot}%{e_sitedir}
install -m 644 psvn.elc.emacs %{buildroot}%{e_sitedir}/psvn.elc
mkdir -p %{buildroot}%{sitepdir}/lisp
install -m 644 psvn.el %{buildroot}%{sitepdir}/lisp
install -m 644 psvn.elc.xemacs %{buildroot}%{sitepdir}/lisp/psvn.elc

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -n psvn-emacs
%defattr(-, root, root)
%{e_sitedir}/*

%files -n psvn-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/*

%changelog
* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.37869-4m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.37869-3m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37869-2m)
- rebuild against emacs-23.0.95

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37869-1m)
- update to revision 37869

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37448-2m)
- rebuild against emacs-23.0.94

* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37448-1m)
- update to revision 37448

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33557-5m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33557-4m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33557-3m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33557-2m)
- rebuild against rpm-4.6

* Thu Nov  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.33557-1m)
- update to revision 33557

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.32295-2m)
- rebuild against emacs-22.3

* Sat Jul 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.32295-1m)
- update to revision 32295

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.29253-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.29253-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.29253-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.29253-1m)
- update to revision 29253

* Fri Nov 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.27834-1m)
- update to revision 27834
- License: GPLv2

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25407-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25407-1m)
- update to revision 25407

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-9m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-8m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21235-2m)
- rebuild against emacs-22.0.90

* Thu Aug 24 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.21235-1m)
- update to revision 21235

* Tue Jul  5 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.15026-1m)
- initial import to Momonga
